কনটেন্টে যান

Infinitalk · Single Text

ইন্টিগ্রেট করুন

মডেল id infinitalk/single-text
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/infinitalk/single-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Aria",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈২.৩২$ ২,৩২০ API ক্রেডিট · ≈ ২৪৪.৬৭₽ এই পেজে চালান

API কী পান
Meituan লিপসিঙ্ক ও অ্যাভাটার লিপসিঙ্ক720p পর্যন্ত

একটি ছবি ও টাইপ করা টেক্সট থেকে টকিং-অ্যাভাটার ভিডিও, নির্বাচিত বিল্ট-ইন ভয়েসে কথনসহ

Meituan · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক

ভিডিও জেনারেশন প্রক্রিয়া পরিচালনাকারী টেক্সট।

•আবশ্যক

ভিডিও জেনারেশন পরিচালনার জন্য টেক্সট নির্দেশনা।

•আবশ্যক image_url
একটি ফাইল ড্রপ করুন, অথবা

সোর্স ছবির URL; নির্বাচিত অ্যাসপেক্ট রেশিও অনুযায়ী প্রিপ্রসেসিং প্রয়োজন কি না নির্ধারিত হয়: অমিল থাকলে রিসাইজ করার পর সেন্টার ক্রপ করা হয়।

resolution ডিফল্ট 480p

আউটপুট ভিডিওর রেজোলিউশন; শুধু 480p এবং 720p সমর্থিত।

•আবশ্যক

স্পিচ সংশ্লেষণের জন্য নির্বাচিত ভয়েস।

ডিফল্ট 145

জেনারেশনের জন্য ফ্রেমের সংখ্যা; অনুমোদিত পরিসর 41–721।

অ্যাডভান্সড acceleration · seed · enable_safety_checker
acceleration ডিফল্ট regular

জেনারেশনের সময় প্রয়োগ করা অ্যাক্সেলারেশন লেভেল।

ডিফল্ট 42

পুনরুৎপাদনযোগ্য জেনারেশনের জন্য সিড। এটিকে None সেট করলে এলোমেলোভাবে একটি সিড নির্বাচন করা হয়।

POST /run/infinitalk/single-text?wait=20 মূল্য → ২.৩২$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/infinitalk/single-text?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Aria",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Infinitalk · Single Text সম্পর্কে

অডিও ফাইলের পরিবর্তে এই ভ্যারিয়েন্ট `text_input` এবং একটি `voice` (যেমন Aria, Roger বা Sarah) নিয়ে সেটি পড়ে শোনায়, তারপর `image_url` থেকে অ্যাভাটারকে লিপ-সিঙ্ক করে। একটি `prompt` ভিডিওটি নির্দেশ করে। `num_frames` 41 থেকে 721 পর্যন্ত, `resolution` 480p বা 720p এবং `acceleration` none, regular বা high হতে পারে।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
image_urlআবশ্যক image
ধরনurl · image
সোর্স ছবির URL; নির্বাচিত অ্যাসপেক্ট রেশিও অনুযায়ী প্রিপ্রসেসিং প্রয়োজন কি না নির্ধারিত হয়: অমিল থাকলে রিসাইজ করার পর সেন্টার ক্রপ করা হয়।
text_inputআবশ্যক
ধরনstring
ভিডিও জেনারেশন প্রক্রিয়া পরিচালনাকারী টেক্সট।
voiceআবশ্যক
ধরনenum
AriaRogerSarahLauraCharlieGeorgeCallumRiverLiamCharlotteAliceMatildaWillJessicaEricChris
+4টি আরওBrianDanielLilyBill
স্পিচ সংশ্লেষণের জন্য নির্বাচিত ভয়েস।
promptআবশ্যক
ধরনstring
ভিডিও জেনারেশন পরিচালনার জন্য টেক্সট নির্দেশনা।
num_framesঐচ্ছিক
ধরনinteger
ডিফল্ট145
৪১ – ৭২১
জেনারেশনের জন্য ফ্রেমের সংখ্যা; অনুমোদিত পরিসর 41–721।
resolutionঐচ্ছিক
ধরনenum
ডিফল্ট480p
480p720p
আউটপুট ভিডিওর রেজোলিউশন; শুধু 480p এবং 720p সমর্থিত।
seedঐচ্ছিক
ধরনinteger
ডিফল্ট42
০ – ৪,২৯,৪৯,৬৭,২৯৫
পুনরুৎপাদনযোগ্য জেনারেশনের জন্য সিড। এটিকে None সেট করলে এলোমেলোভাবে একটি সিড নির্বাচন করা হয়।
accelerationঐচ্ছিক
ধরনenum
ডিফল্টregular
noneregularhigh
জেনারেশনের সময় প্রয়োগ করা অ্যাক্সেলারেশন লেভেল।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
কলকারী অনুমোদিত হলে false সেট করে স্ক্রিনিং শিথিল করা যায়।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "infinitalk/single-text",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2320,
    "usd": "2.32",
    "charged": 2320,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Aria",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size}জেনারেশনের মাধ্যমে তৈরি ভিডিও ফাইল।
seed
integerজেনারেশনের সময় প্রয়োগ করা সিডের মান।

আরও মডেল: লিপসিঙ্ক ও অ্যাভাটার

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/infinitalk/single-text.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt